Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		neverball
Version:	1.5.4
Release:	1
License:	GNU/GPL
URL:		http://neverball.org
Group:		Games/Arcade
Summary:	Neverball is part puzzle game, part action game, and entirely a test of skill.

Source0:	http://neverball.org/%{name}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-buildroot

# hardcode position of datadir
# both Makefile and share/base_config.h need to be patched !
Patch0: neverball-datadir.patch

#Automatically resolved build dependencies
BuildRequires:	freetype-devel
BuildRequires:	glibc-devel
BuildRequires:	mesa-libGL-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	zlib-devel

# prevent the propietary openGL incarnations from being drawn in
# the hard way
BuildConflicts:	xorg-x11-drv-fglrx
BuildConflicts:	xorg-x11-drv-nvidia
BuildConflicts:	xorg-x11-drv-nvidia-legacy
BuildConflicts:	xorg-x11-drv-nvidia-legacy96xx

%description
Neverball is part puzzle game, part action game, and entirely a test of skill.
For more details see: http://icculus.org/neverball

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%define _NEVERBALL_DATADIR %_datadir/%{name}

install -p -D -m 755 neverball $RPM_BUILD_ROOT%_bindir/neverball
install -p -D -m 755 neverputt $RPM_BUILD_ROOT%_bindir/neverputt
install -p -D -m 755 mapc $RPM_BUILD_ROOT%_bindir/mapc

install -d -m 755 $RPM_BUILD_ROOT%_NEVERBALL_DATADIR
find data -name "*.map" -delete
chmod -R a+rw data
chmod -R a+rw locale
cp -a data/ $RPM_BUILD_ROOT%_NEVERBALL_DATADIR
cp -a locale $RPM_BUILD_ROOT%_datadir

install -d -m 755 $RPM_BUILD_ROOT%_mandir/man1
install -d -m 755 $RPM_BUILD_ROOT%_mandir/man6
install -p -D -m 644 dist/neverball.6 $RPM_BUILD_ROOT%_mandir/man6/neverball.6
install -p -D -m 644 dist/neverputt.6 $RPM_BUILD_ROOT%_mandir/man6/neverputt.6
install -p -D -m 644 dist/mapc.1 $RPM_BUILD_ROOT%_mandir/man1/mapc.1

install -d -m 755 $RPM_BUILD_ROOT%_applications
install -p -D -m 644 dist/neverball.desktop $RPM_BUILD_ROOT%_applications/neverball.desktop
install -p -D -m 644 dist/neverputt.desktop $RPM_BUILD_ROOT%_applications/neverputt.desktop

install -d -m 755 $RPM_BUILD_ROOT%_pixmaps
install -p -D -m 644 dist/neverball_512.png $RPM_BUILD_ROOT%_pixmaps/neverball.png
install -p -D -m 644 dist/neverputt_512.png $RPM_BUILD_ROOT%_pixmaps/neverputt.png

# remove unwanted stuff
#rm -r $RPM_BUILD_ROOT%_NEVERBALL_DATADIR/icon

find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_bindir
%_datadir/%{name}
%_applications
%_locale/*/LC_MESSAGES/neverball.mo
%_pixmaps
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Sep 21 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.5.4-1
- Version update
* Sat Aug 22 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.5.2-1
- Version update
* Wed Apr 08 2009 Christian Wasem <wasem@ccux-linux.de> 1.5.1-1
- Version update
* Tue Oct 07 2008 Christian Wasem <wasem@ccux-linux.de> 1.4.0-3
- remove Obsoletes- and Provides-Tag, some specfile tuning
* Mon Oct 06 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.4.0-2
- rebuilt against Xorg 7.4, added BuildRequires, revised filelist
* Sat Jun 25 2005 Christian Wasem <wasem@ccux-linux.de> 1.4.0-1
- update to version 1.4.0, added makefile patch
